List Helm releases
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/resources/helm/get"
payload = { "resource_requests": [
{
"all_namespaces": False,
"continue_token": "<string>",
"filter_regex": "<string>",
"limit": 123,
"namespace": "<string>",
"release_name": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resource_requests: [
{
all_namespaces: false,
continue_token: '<string>',
filter_regex: '<string>',
limit: 123,
namespace: '<string>',
release_name: '<string>'
}
]
})
};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/resources/helm/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/resources/helm/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_requests": [
{
"all_namespaces": false,
"continue_token": "<string>",
"filter_regex": "<string>",
"limit": 123,
"namespace": "<string>",
"release_name": "<string>"
}
]
}
'{
"resource_responses": [
{
"items": [
"<unknown>"
],
"status": "success",
"all_namespaces": false,
"continue_token": "<string>",
"filter_regex": "<string>",
"namespace": "<string>",
"release_name": "<string>",
"total_count": 123
}
]
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Kubernetes
List Helm releases
Lists Helm releases on the cluster through the cluster agent, per namespace or across all namespaces, with optional name filter and pagination. Requires kubernetes.read on the cluster.
POST
/
api
/
v1
/
clusters
/
{cluster_id}
/
kubernetes
/
resources
/
helm
/
get
List Helm releases
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/resources/helm/get"
payload = { "resource_requests": [
{
"all_namespaces": False,
"continue_token": "<string>",
"filter_regex": "<string>",
"limit": 123,
"namespace": "<string>",
"release_name": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resource_requests: [
{
all_namespaces: false,
continue_token: '<string>',
filter_regex: '<string>',
limit: 123,
namespace: '<string>',
release_name: '<string>'
}
]
})
};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/resources/helm/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/resources/helm/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_requests": [
{
"all_namespaces": false,
"continue_token": "<string>",
"filter_regex": "<string>",
"limit": 123,
"namespace": "<string>",
"release_name": "<string>"
}
]
}
'{
"resource_responses": [
{
"items": [
"<unknown>"
],
"status": "success",
"all_namespaces": false,
"continue_token": "<string>",
"filter_regex": "<string>",
"namespace": "<string>",
"release_name": "<string>",
"total_count": 123
}
]
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Body
application/json